Loading...
Searching...
No Matches
OBRateData Class Reference

`#include <openbabel/kinetics.h>`

Inheritance diagram for OBRateData:
[legend]

## Public Types

enum | rate_type { A , n , E }
enum | reaction_type { ARRHENIUS =55555 , LINDERMANN , TROE , SRI , THREEBODY }

## Public Member Functions

virtual OBGenericData * | Clone (OBBase *parent) const
| OBRateData ()
double | GetRate (rate_type n) const
void | SetRate (rate_type n, const double val)
double | GetLoRate (rate_type n) const
void | SetLoRate (rate_type n, const double val)
double | GetTroeParam (int n) const
void | SetTroeParams (int n, const double val)
void | SetEfficiency (std::string id, double Eff)
double | GetEfficiency (std::string id)
bool | GetNextEff (std::string &id, double &Eff)
void | SetAttribute (const std::string &v)
void | SetOrigin (const DataOrigin s)
virtual const std::string & | GetAttribute () const
unsigned int | GetDataType () const
virtual const std::string & | GetValue () const
virtual DataOrigin | GetOrigin () const

## Public Attributes

reaction_type | ReactionType

## Protected Attributes

double | Rates [3]
double | LoRates [3]
double | TroeParams [4]
std::map< std::string, double > | Efficiencies
std::string | _attr
unsigned int | _type
DataOrigin | _source

## Detailed Description

Holds rate constant data for OBReaction.

The data is in a form used by CHEMKIN, at least the original free versions developed by Sandia Labs. Cantera is a GPL chemical kinetics program with similar capabilities. Used by chemkin format and cml reaction format

## Member Enumeration Documentation

## rate_type

enum rate_type

Enumerator
A |
n |
E |

## reaction_type

enum reaction_type

Enumerator
ARRHENIUS |
LINDERMANN |
TROE |
SRI |
THREEBODY |

## Constructor & Destructor Documentation

## OBRateData()

OBRateData | ( |  | ) |

inline

Referenced by Clone().

## Member Function Documentation

## Clone()

virtual OBGenericData * Clone | ( | OBBase * | parent | ) | const

inline virtual

Reimplemented from OBGenericData.

## GetRate()

double GetRate | ( | rate_type | n | ) | const

inline

## SetRate()

void SetRate | ( | rate_type | n,
|  | const double | val )

inline

## GetLoRate()

double GetLoRate | ( | rate_type | n | ) | const

inline

## SetLoRate()

void SetLoRate | ( | rate_type | n,
|  | const double | val )

inline

## GetTroeParam()

double GetTroeParam | ( | int | n | ) | const

inline

## SetTroeParams()

void SetTroeParams | ( | int | n,
|  | const double | val )

inline

## SetEfficiency()

void SetEfficiency | ( | std::string | id,
|  | double | Eff )

inline

## GetEfficiency()

double GetEfficiency | ( | std::string | id | ) |

inline

## GetNextEff()

bool GetNextEff | ( | std::string & | id,
|  | double & | Eff )

inline

## SetAttribute()

void SetAttribute | ( | const std::string & | v | ) |

inline inherited

Set the attribute (key), which can be used to retrieve this data.

Referenced by OBGastChrg::AssignPartialCharges(), OBMol::DoTransformations(), AliasData::Expand(), OBMol::FindLSSR(), OBMol::FindSSSR(), OBForceField::GetAtomTypes(), OBMol::GetFormula(), OBMol::GetLSSR(), OBForceField::GetPartialCharges(), OBMol::GetSSSR(), OBDescriptor::PredictAndSave(), and OBMol::SetFormula().

## SetOrigin()

void SetOrigin | ( | const DataOrigin | s | ) |

inline inherited

Set the origin of this data, which can be used to filter the data.

Referenced by OBGastChrg::AssignPartialCharges(), OBMol::DoTransformations(), OBMol::FindAngles(), OBMol::FindLSSR(), OBMol::FindSSSR(), OBMol::FindTorsions(), OBMol::GetFormula(), OBMol::GetLSSR(), OBMol::GetSSSR(), OBDescriptor::PredictAndSave(), and OBMol::SetFormula().

## GetAttribute()

virtual const std::string & GetAttribute | ( |  | ) | const

inline virtual inherited

Returns
  The attribute (key), which can be used to retrieve this data

Referenced by OBMoleculeFormat::MakeCombinedMolecule().

## GetDataType()

unsigned int GetDataType | ( |  | ) | const

inline inherited

Returns
  the data type for this object as defined in OBGenericDataType

## GetValue()

virtual const std::string & GetValue | ( |  | ) | const

inline virtual inherited

Base class returns a default value (the attribute type) but should never be called.

Reimplemented in OBCommentData, and OBPairData.

Referenced by OBDepict::DrawMolecule(), OBDescriptor::FilterCompare(), and OBDescriptor::GetValues().

## GetOrigin()

virtual DataOrigin GetOrigin | ( |  | ) | const

inline virtual inherited

## Member Data Documentation

## Rates

double Rates[3]

protected

Referenced by GetRate(), OBRateData(), and SetRate().

## LoRates

double LoRates[3]

protected

Referenced by GetLoRate(), OBRateData(), and SetLoRate().

## TroeParams

double TroeParams[4]

protected

Referenced by GetTroeParam(), OBRateData(), and SetTroeParams().

## Efficiencies

std::map<std::string,double> Efficiencies

protected

Referenced by GetEfficiency(), GetNextEff(), and SetEfficiency().

## ReactionType

reaction_type ReactionType

Referenced by OBRateData().

## _attr

std::string _attr

protected inherited

attribute tag (e.g., "UnitCell", "Comment" or "Author")

Referenced by OBRotamerList::Clone(), GetAttribute(), GetValue(), OBGenericData(), OBNasaThermoData::OBNasaThermoData(), OBRotamerList::OBRotamerList(), OBSymmetryData::OBSymmetryData(), and SetAttribute().

## _type

unsigned int _type

protected inherited

attribute type – declared for each subclass

Referenced by OBRotamerList::Clone(), GetDataType(), OBGenericData(), OBNasaThermoData::OBNasaThermoData(), OBRotamerList::OBRotamerList(), and OBSymmetryData::OBSymmetryData().

## _source

DataOrigin _source

protected inherited

source of data for accounting

Referenced by GetOrigin(), OBGenericData(), OBSymmetryData::OBSymmetryData(), OBAngleData::operator=(), OBConformerData::operator=(), OBSymmetryData::operator=(), OBTorsionData::operator=(), and SetOrigin().

The documentation for this class was generated from the following file:

- kinetics.h